custom_filters:
  defaults:

    fields:
      date_from: date_created
      date_to: date_created
      survey: survey_id
      company: company_id
      category: category_id

    ajax_urls:
      survey: 'ajax_get_surveys'
      company: ''
      category: 'ajax_get_survey_categories'
      where_clause: 'ajax_where_clause_route'

    container_elements:
      date_from: '.date-from-filter-container'
      date_to: '.date-to-filter-container'
      survey: '.survey-filter-container'
      company: '.company-filter-container'
      category: '.category-filter-container'

    field_types:
      date_from: date
      date_to: date
      survey: checkbox
      company: checkbox
      category: checkbox

    ignore_columns: ['date_from','date_to'] # This is more for ajax requests, the variable name is misleading.

enabled_filters:
  gauge_dashboard: {'survey':true, 'company':false, 'category':true}
#  custom_page_dashboard: {'survey':true}

